require 'csv'

def addslashes(str)
  str.gsub(/['"\\\x0]/,'\\\\\0')
end

o = {}
CSV.foreach("translations.csv") do |row|
  unless(row[0].nil? or row[0].strip == "")
    r = {}

    r['_ja'] = row[1].strip if row[1] and row[1].strip != ""
    r['_ko'] = row[2].strip if row[2] and row[2].strip != ""
    r['_zh-Hant'] = row[3].strip if row[3] and row[3].strip != ""
    r['_zh-Hans'] = row[4].strip if row[4] and row[4].strip != ""

    o[addslashes(row[0].strip)] = r
  end
end

o.each do |k,v|
  line = []

  line.push(%(["_ko"]="#{addslashes(v['_ko'])}")) if v['_ko']
  line.push(%(["_ja"]="#{addslashes(v['_ja'])}")) if v['_ja']
  line.push(%(["_zh-Hant"]="#{addslashes(v['_zh-Hant'])}")) if v['_zh-Hant']
  line.push(%(["_zh-Hans"]="#{addslashes(v['_zh-Hans'])}")) if v['_zh-Hans']

  text = %(["#{k.upcase}"] = {#{line.join(',')}})
  puts(text+",")
end